# Picking Status Update **POST /retailEvents** # Picking Status Update (retail only) When a store process order picking status updates, this webhook can be set to receive these events. | Attribute | Meaning | Type | | :------------------------- | :------------------------------------------------------------------------------ | :----- | | `eventId` | Unique identifier of the picking status update | String | | `eventType` | e.g. "PICKING_STATUS_UPDATE" | Enum | | eventData.`channelOrderId` | Unique identifier of the order, as originally submitted by the ordering channel | String | | eventData.`status` | Current picking status as communicated by the store operator | Enum | | eventData.`rejectReason` | Where status is rejected, this will cover any supplied reason | String | ## Picking Status | Status | Meaning | | :----------------- | :---------------------------------------- | | `PICKING_STARTED` | The process of picking has been initiated | | `PICKING_REJECTED` | The picking process will not proceed | | `PICKING_DONE` | The process of picking is completed | ## Servers - Staging Environment: https://api.staging.deliverect.com (Staging Environment) ## Parameters ## Responses ### 200 Ok [Powered by Bump.sh](https://bump.sh)